Skip to main content
POST
/
api
/
mcp
MCP JSON-RPC endpoint
curl --request POST \
  --url https://btca.dev/api/mcp \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "<unknown>",
  "id": 123,
  "method": "<string>",
  "params": {
    "name": "<string>",
    "arguments": {},
    "project": "<string>"
  }
}
'
import requests

url = "https://btca.dev/api/mcp"

payload = {
"jsonrpc": "<unknown>",
"id": 123,
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {},
"project": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '<unknown>',
id: 123,
method: '<string>',
params: {name: '<string>', arguments: {}, project: '<string>'}
})
};

fetch('https://btca.dev/api/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "content": [
      {
        "type": "<string>",
        "text": "<string>"
      }
    ],
    "isError": true
  }
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Invokes MCP tools such as listResources, ask, addResource, and sync. The hosted endpoint supports request/response MCP tool calls over POST /api/mcp. Long-lived SSE notification streams are disabled on the cloud deployment.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
jsonrpc
any
required
id
required
method
string
required
params
object
required

Response

Tool call response

result
object
required